<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/CameraTools/CTKeyframe.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d58/_c_t_keyframe_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CTKeyframe.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d58/_c_t_keyframe_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CTKeyframe <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>               <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8fc2c00e83eb0c46454f6fd5176a1e64">m_Index</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1e2cfb7b91f59f30228b21180823f986">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1e2cfb7b91f59f30228b21180823f986">m_InterpTime</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2f2902495e36f8e5abae0bb792c78d7e">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a2f2902495e36f8e5abae0bb792c78d7e">m_TotalTimeBefore</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">    7</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">m_Position</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa7c6037348cc330ace9b076fb04d9e4c">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa7c6037348cc330ace9b076fb04d9e4c">m_Orientation</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <span class="keyword">protected</span> CameraToolsMenu   <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a290b4505e526bea1596bf6f2a84ef022">m_Menu</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a96a826ac96fe35fcc249c7bc0220a358">m_IndexWidget</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1e5eefb69437f26fd48edc99e7296256">   13</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1e5eefb69437f26fd48edc99e7296256">m_InterpTimeWidget</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aed14eaf2e1fde2f74fb8475f378c7d32">   14</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aed14eaf2e1fde2f74fb8475f378c7d32">m_FOVWidget</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9988f97e44bea1b8cef40c2b92a60ac5">   15</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a9988f97e44bea1b8cef40c2b92a60ac5">m_DOFWidget</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad5f49056153d33707f91a7a259c017f3">   16</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad5f49056153d33707f91a7a259c017f3">m_PinWidget</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9db2f063f7bcafe3b32467520cb3d538">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a9db2f063f7bcafe3b32467520cb3d538">m_TotalTimeWidget</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a7f951b0f33d194e333e5333ec9f0e5c1">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a7f951b0f33d194e333e5333ec9f0e5c1">CTKeyframe</a>( <span class="keywordtype">int</span> index, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orient, <span class="keywordtype">float</span> int_value, <span class="keywordtype">float</span> fov, <span class="keywordtype">float</span> dof, <span class="keywordtype">int</span> pin, <span class="keywordtype">float</span> time_before, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root, CameraToolsMenu parent )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>              = parent;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>              = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/camera_tools/keyframe_entry.layout&quot;</span>, root );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_IndexWidget       = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_id&quot;</span> ) );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_InterpTimeWidget  = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_time_edit&quot;</span> ) );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_FOVWidget         = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_fov_edit&quot;</span> ) );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_DOFWidget         = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_dof_edit&quot;</span> ) );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_PinWidget         = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_pin_edit&quot;</span> ) );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_TotalTimeWidget   = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;keyframe_time&quot;</span> ) );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_Index             = index;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_TotalTimeBefore   = time_before;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a>          = pos;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a>       = orient;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a81ba1c226478e5d8a28626159201ee83">SetInterpTime</a>( int_value );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3244ebc57d6e4bdca858f320892c1f4b">SetFOV</a>( fov );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a1da7553587c6d5227bee5b6822c054b9">SetDOF</a>( dof );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2f5a2ee163e56720860c6c2c8e05bc55">SetPin</a>( pin );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        m_IndexWidget.SetText( m_Index.ToString() );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aebb6fa058b1f81f8207396973e749034">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aebb6fa058b1f81f8207396973e749034">~CTKeyframe</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a28b019385491caa970f1ea46638859c8">   50</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a28b019385491caa970f1ea46638859c8">GetInterpTime</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">string</span> time_text = m_InterpTimeWidget.GetText();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_InterpTime = time_text.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga87dbdef0a0e158ec19794bc65755e575">ToFloat</a>();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1e2cfb7b91f59f30228b21180823f986">m_InterpTime</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2f5a2ee163e56720860c6c2c8e05bc55">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2f5a2ee163e56720860c6c2c8e05bc55">SetPin</a>( <span class="keywordtype">int</span> pin )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        m_PinWidget.SetText( pin.ToString() );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#adefb69d38b22d6b4fb1aa2f4eeb99215">   62</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#adefb69d38b22d6b4fb1aa2f4eeb99215">GetPin</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> m_PinWidget.GetText().ToInt();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3244ebc57d6e4bdca858f320892c1f4b">   67</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3244ebc57d6e4bdca858f320892c1f4b">SetFOV</a>( <span class="keywordtype">float</span> fov )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        m_FOVWidget.SetText( fov.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a27f01b547bf2678305310e87d511d52c">   72</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a27f01b547bf2678305310e87d511d52c">GetFOV</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> m_FOVWidget.GetText().ToFloat();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1da7553587c6d5227bee5b6822c054b9">   77</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a1da7553587c6d5227bee5b6822c054b9">SetDOF</a>( <span class="keywordtype">float</span> dof )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_DOFWidget.SetText( dof.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3adffcee8a06df52667c5c4eb9a07c63">   82</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3adffcee8a06df52667c5c4eb9a07c63">GetDOF</a>()</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> m_DOFWidget.GetText().ToFloat();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa59dcc9ed4effc61b19ba13be2e37343">   87</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa59dcc9ed4effc61b19ba13be2e37343">SetPosition</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> = pos;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa62c9618b16ed841477848e0878054d5">   92</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa62c9618b16ed841477848e0878054d5">SetOrientation</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orient )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a> = orient;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">   97</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">GetPosition</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">m_Position</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a798b0aa66e41ae83329666bac2da3069">  102</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a798b0aa66e41ae83329666bac2da3069">GetOrientation</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa7c6037348cc330ace9b076fb04d9e4c">m_Orientation</a>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#acecd17280a19bfeba43ef7ca24b85193">  107</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#acecd17280a19bfeba43ef7ca24b85193">SetTimeBefore</a>( <span class="keywordtype">float</span> time )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        m_TotalTimeBefore = time;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        m_TotalTimeWidget.SetText( ( m_TotalTimeBefore + m_InterpTime ).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a81ba1c226478e5d8a28626159201ee83">  113</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a81ba1c226478e5d8a28626159201ee83">SetInterpTime</a>( <span class="keywordtype">float</span> time )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        m_InterpTime = time;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        m_InterpTimeWidget.SetText( m_InterpTime.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() );</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        m_TotalTimeWidget.SetText( ( m_TotalTimeBefore + m_InterpTime ).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">  120</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">Select</a>()</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;spacer&quot;</span> ).SetAlpha( 1 );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        m_IndexWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        m_InterpTimeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        m_TotalTimeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">  128</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">Unselect</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;spacer&quot;</span> ).SetAlpha( 0.625 );</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        m_IndexWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        m_InterpTimeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        m_TotalTimeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">  136</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">if</span>( w == <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a> )</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.SelectKeyframe( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#acee4b7a280bd6c411a73ba05c9cb8755">  146</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#acee4b7a280bd6c411a73ba05c9cb8755">OnFocus</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac237903ddcafd68ab0d69df9a38f46da">IsFocusable</a>( w ) )</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.SelectKeyframe( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac237903ddcafd68ab0d69df9a38f46da">  156</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac237903ddcafd68ab0d69df9a38f46da">IsFocusable</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w )</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">if</span>( w )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <span class="keywordflow">return</span> ( w == m_InterpTimeWidget || w == m_TotalTimeWidget || w == m_FOVWidget || w == m_DOFWidget );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_ac53f9c284ba6b2a966e2a76a73a2d971"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a></div><div class="ttdeci">vector m_Orientation</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00015">BleedingSource.c:15</a></div></div>
<div class="ttc" id="a_effect_8c_html_af22d84c37bdac40df9bb3124b1724777"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a></div><div class="ttdeci">protected vector m_Position</div><div class="ttdoc">Cached world position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00041">Effect.c:41</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_server_browser_tab_8c_html_a18700c22f44a4dc5a25c9768ed30314a"><div class="ttname"><a href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a></div><div class="ttdeci">protected ServerBrowserMenuNew m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de3/_server_browser_tab_8c_source.html#l00030">ServerBrowserTab.c:30</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___strings_html_ga87dbdef0a0e158ec19794bc65755e575"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga87dbdef0a0e158ec19794bc65755e575">string::ToFloat</a></div><div class="ttdeci">proto native float ToFloat()</div><div class="ttdoc">Converts string to float.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1da7553587c6d5227bee5b6822c054b9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1da7553587c6d5227bee5b6822c054b9">ScriptedWidgetEventHandler::SetDOF</a></div><div class="ttdeci">void SetDOF(float dof)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00077">CTKeyframe.c:77</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1e2cfb7b91f59f30228b21180823f986"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1e2cfb7b91f59f30228b21180823f986">ScriptedWidgetEventHandler::m_InterpTime</a></div><div class="ttdeci">protected float m_InterpTime</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00004">CTKeyframe.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1e5eefb69437f26fd48edc99e7296256"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1e5eefb69437f26fd48edc99e7296256">ScriptedWidgetEventHandler::m_InterpTimeWidget</a></div><div class="ttdeci">protected EditBoxWidget m_InterpTimeWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00013">CTKeyframe.c:13</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a27f01b547bf2678305310e87d511d52c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a27f01b547bf2678305310e87d511d52c">ScriptedWidgetEventHandler::GetFOV</a></div><div class="ttdeci">float GetFOV()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00072">CTKeyframe.c:72</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a28b019385491caa970f1ea46638859c8"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a28b019385491caa970f1ea46638859c8">ScriptedWidgetEventHandler::GetInterpTime</a></div><div class="ttdeci">float GetInterpTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00050">CTKeyframe.c:50</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a290b4505e526bea1596bf6f2a84ef022"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a290b4505e526bea1596bf6f2a84ef022">ScriptedWidgetEventHandler::m_Menu</a></div><div class="ttdeci">protected CameraToolsMenu m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00008">CTEvent.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2f2902495e36f8e5abae0bb792c78d7e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2f2902495e36f8e5abae0bb792c78d7e">ScriptedWidgetEventHandler::m_TotalTimeBefore</a></div><div class="ttdeci">protected float m_TotalTimeBefore</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00005">CTKeyframe.c:5</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2f5a2ee163e56720860c6c2c8e05bc55"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2f5a2ee163e56720860c6c2c8e05bc55">ScriptedWidgetEventHandler::SetPin</a></div><div class="ttdeci">void SetPin(int pin)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00057">CTKeyframe.c:57</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3244ebc57d6e4bdca858f320892c1f4b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3244ebc57d6e4bdca858f320892c1f4b">ScriptedWidgetEventHandler::SetFOV</a></div><div class="ttdeci">void SetFOV(float fov)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00067">CTKeyframe.c:67</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3adffcee8a06df52667c5c4eb9a07c63"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3adffcee8a06df52667c5c4eb9a07c63">ScriptedWidgetEventHandler::GetDOF</a></div><div class="ttdeci">float GetDOF()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00082">CTKeyframe.c:82</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3d069aaa57f36ab5f27c42a77a88cf25"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">ScriptedWidgetEventHandler::Select</a></div><div class="ttdeci">void Select()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00120">CTKeyframe.c:120</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6dd09c8c421e1bcee770ec8c99e6bcc5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">ScriptedWidgetEventHandler::Unselect</a></div><div class="ttdeci">void Unselect()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00128">CTKeyframe.c:128</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a798b0aa66e41ae83329666bac2da3069"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a798b0aa66e41ae83329666bac2da3069">ScriptedWidgetEventHandler::GetOrientation</a></div><div class="ttdeci">vector GetOrientation()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00102">CTKeyframe.c:102</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a7f951b0f33d194e333e5333ec9f0e5c1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a7f951b0f33d194e333e5333ec9f0e5c1">ScriptedWidgetEventHandler::CTKeyframe</a></div><div class="ttdeci">void CTKeyframe(int index, vector pos, vector orient, float int_value, float fov, float dof, int pin, float time_before, Widget root, CameraToolsMenu parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00019">CTKeyframe.c:19</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a81ba1c226478e5d8a28626159201ee83"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a81ba1c226478e5d8a28626159201ee83">ScriptedWidgetEventHandler::SetInterpTime</a></div><div class="ttdeci">void SetInterpTime(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00113">CTKeyframe.c:113</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8ecf1f084ff75ec07fefd5bbd8897672"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">ScriptedWidgetEventHandler::m_Position</a></div><div class="ttdeci">protected vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00007">CTKeyframe.c:7</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8fc2c00e83eb0c46454f6fd5176a1e64"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8fc2c00e83eb0c46454f6fd5176a1e64">ScriptedWidgetEventHandler::m_Index</a></div><div class="ttdeci">protected int m_Index</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00003">CTEvent.c:3</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a96a826ac96fe35fcc249c7bc0220a358"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a96a826ac96fe35fcc249c7bc0220a358">ScriptedWidgetEventHandler::m_IndexWidget</a></div><div class="ttdeci">protected TextWidget m_IndexWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00011">CTEvent.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9988f97e44bea1b8cef40c2b92a60ac5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9988f97e44bea1b8cef40c2b92a60ac5">ScriptedWidgetEventHandler::m_DOFWidget</a></div><div class="ttdeci">protected EditBoxWidget m_DOFWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00015">CTKeyframe.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9db2f063f7bcafe3b32467520cb3d538"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9db2f063f7bcafe3b32467520cb3d538">ScriptedWidgetEventHandler::m_TotalTimeWidget</a></div><div class="ttdeci">protected TextWidget m_TotalTimeWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00017">CTKeyframe.c:17</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00136">CTKeyframe.c:136</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa1f7b77ea63b19781614a28c1af95050"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">ScriptedWidgetEventHandler::GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00097">CTKeyframe.c:97</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa59dcc9ed4effc61b19ba13be2e37343"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa59dcc9ed4effc61b19ba13be2e37343">ScriptedWidgetEventHandler::SetPosition</a></div><div class="ttdeci">void SetPosition(vector pos)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00087">CTKeyframe.c:87</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa62c9618b16ed841477848e0878054d5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa62c9618b16ed841477848e0878054d5">ScriptedWidgetEventHandler::SetOrientation</a></div><div class="ttdeci">void SetOrientation(vector orient)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00092">CTKeyframe.c:92</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa7c6037348cc330ace9b076fb04d9e4c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa7c6037348cc330ace9b076fb04d9e4c">ScriptedWidgetEventHandler::m_Orientation</a></div><div class="ttdeci">protected vector m_Orientation</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00008">CTKeyframe.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac237903ddcafd68ab0d69df9a38f46da"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac237903ddcafd68ab0d69df9a38f46da">ScriptedWidgetEventHandler::IsFocusable</a></div><div class="ttdeci">bool IsFocusable(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00156">CTKeyframe.c:156</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_acecd17280a19bfeba43ef7ca24b85193"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#acecd17280a19bfeba43ef7ca24b85193">ScriptedWidgetEventHandler::SetTimeBefore</a></div><div class="ttdeci">void SetTimeBefore(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00107">CTKeyframe.c:107</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_acee4b7a280bd6c411a73ba05c9cb8755"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#acee4b7a280bd6c411a73ba05c9cb8755">ScriptedWidgetEventHandler::OnFocus</a></div><div class="ttdeci">override bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00146">CTKeyframe.c:146</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad5f49056153d33707f91a7a259c017f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad5f49056153d33707f91a7a259c017f3">ScriptedWidgetEventHandler::m_PinWidget</a></div><div class="ttdeci">protected EditBoxWidget m_PinWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00016">CTKeyframe.c:16</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_adefb69d38b22d6b4fb1aa2f4eeb99215"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#adefb69d38b22d6b4fb1aa2f4eeb99215">ScriptedWidgetEventHandler::GetPin</a></div><div class="ttdeci">int GetPin()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00062">CTKeyframe.c:62</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aebb6fa058b1f81f8207396973e749034"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aebb6fa058b1f81f8207396973e749034">ScriptedWidgetEventHandler::~CTKeyframe</a></div><div class="ttdeci">void ~CTKeyframe()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00045">CTKeyframe.c:45</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aed14eaf2e1fde2f74fb8475f378c7d32"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aed14eaf2e1fde2f74fb8475f378c7d32">ScriptedWidgetEventHandler::m_FOVWidget</a></div><div class="ttdeci">protected EditBoxWidget m_FOVWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00014">CTKeyframe.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="aproto_8c_html_a4aa1cc36d7e57ee79ba6713313ce7b1b"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a></div><div class="ttdeci">int ARGBF(float fa, float fr, float fg, float fb)</div><div class="ttdoc">Converts &lt;0.0, 1.0&gt; ARGB into color.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00332">proto.c:332</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_7dfe9f691c8e304835cefb6bd942bd2c.html">CameraTools</a></li><li class="navelem"><a class="el" href="../../dd/d58/_c_t_keyframe_8c.html">CTKeyframe.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
